=== unix/Makefile ===
# Generated automatically from Makefile.in by configure.
# This is the Makefile for the unix subdirectory of Taylor UUCP.
# This subdirectory contains Unix specific support functions.
#
# The file Makefile.in should be processed by configure to generate
# Makefile.  If you want to generate Makefile by hand, you must find
# all variables surrounded by @ and replace them with the correct
# value (e.g. gcc must be replaced by something like cc or gcc).

SHELL=/bin/sh

# These are overridden by the call from the top level Makefile
CC = gcc
CPPFLAGS = 
CFLAGS = -g -O
AR = ar
RANLIB = ranlib
sbindir = ${prefix}/lib/uucp
UUDIRFLAGS =

srcdir = .

MORECFLAGS = -I.. -I$(srcdir)/.. -DSBINDIR=\"$(sbindir)\" -DOWNER=\"$(owner)\" $(UUDIRFLAGS)

OBJS = access.o addbas.o app3.o app4.o basnam.o bytfre.o corrup.o \
	chmod.o cohtty.o cusub.o cwd.o detach.o efopen.o epopen.o \
	exists.o failed.o filnam.o fsusg.o indir.o init.o isdir.o \
	isfork.o iswait.o jobid.o lcksys.o link.o locfil.o lock.o \
	loctim.o mail.o mkdirs.o mode.o move.o opensr.o pause.o \
	picksb.o pipe.o portnm.o priv.o proctm.o recep.o run.o seq.o \
	serial.o signal.o sindir.o size.o sleep.o spawn.o splcmd.o \
	splnam.o spool.o srmdir.o statsb.o status.o sync.o tcp.o \
	time.o tli.o tmpfil.o trunc.o uacces.o ufopen.o uid.o ultspl.o \
	unknwn.o uuto.o walk.o wldcrd.o work.o xqtfil.o xqtsub.o 

all: libunix.a

clean:
	rm -f $(OBJS) libunix.a

distclean: clean
	rm -f Makefile

mostlyclean: clean
maintainer-clean realclean: distclean

libunix.a: $(OBJS)
	rm -f libunix.a
	$(AR) rc libunix.a $(OBJS)
	-$(RANLIB) libunix.a

.c.o:
	$(CC) -c $(MORECFLAGS) $(CPPFLAGS) $(CFLAGS) $<

dist:
	mkdir ../uucp-$(VERSION)/unix
	ln `cat $(srcdir)/MANIFEST | sed -e 's|^|$(srcdir)/|'` ../uucp-$(VERSION)/unix

Makefile: Makefile.in
	cd .. && CONFIG_FILES=unix/Makefile CONFIG_HEADERS= $(SHELL) ./config.status

# Header file dependencies.

$(OBJS): $(srcdir)/../uucp.h ../config.h $(srcdir)/../policy.h ../sysdep.h

access.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
addbas.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
app3.o: $(srcdir)/../uudefs.h
app4.o: $(srcdir)/../uudefs.h
basnam.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
chmod.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
corrup.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
cusub.o: $(srcdir)/../cu.h $(srcdir)/../uudefs.h $(srcdir)/../conn.h
cusub.o: $(srcdir)/../prot.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
cwd.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
detach.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
efopen.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
exists.o: $(srcdir)/../system.h
failed.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
filnam.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
fsusg.o: $(srcdir)/../uudefs.h
indir.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
init.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
isdir.o: $(srcdir)/../system.h
iswait.o: $(srcdir)/../uudefs.h
jobid.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
lcksys.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
link.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
locfil.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
lock.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
loctim.o: $(srcdir)/../system.h
mail.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
mkdirs.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
mode.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
move.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
opensr.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
pause.o: $(srcdir)/../system.h
picksb.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
pipe.o: $(srcdir)/../uudefs.h $(srcdir)/../conn.h $(srcdir)/../system.h
pipe.o: $(srcdir)/../uuconf.h
portnm.o: $(srcdir)/../system.h
priv.o: $(srcdir)/../system.h
proctm.o: $(srcdir)/../system.h
recep.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
run.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h Makefile ../Makefile
seq.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
serial.o: $(srcdir)/../uudefs.h $(srcdir)/../conn.h $(srcdir)/../system.h
serial.o: $(srcdir)/../uuconf.h
signal.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
sindir.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
size.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
sleep.o: $(srcdir)/../system.h
spawn.o: $(srcdir)/../uudefs.h
splcmd.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
splnam.o: $(srcdir)/../system.h $(srcdir)/../uuconf.h
spool.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
srmdir.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
statsb.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
status.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
sync.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
tcp.o: $(srcdir)/../uudefs.h $(srcdir)/../uuconf.h $(srcdir)/../conn.h
tcp.o: $(srcdir)/../system.h
time.o: $(srcdir)/../system.h
tli.o: $(srcdir)/../uudefs.h $(srcdir)/../uuconf.h $(srcdir)/../conn.h
tli.o: $(srcdir)/../system.h
tmpfil.o: $(srcdir)/../uudefs.h $(srcdir)/../uuconf.h $(srcdir)/../system.h
trunc.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
uacces.o: $(srcdir)/../uudefs.h
ufopen.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
uid.o: $(srcdir)/../uudefs.h
ultspl.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
unknwn.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
uuto.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
walk.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
wldcrd.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
work.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
xqtfil.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
xqtsub.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h

.PHONY: all clean distclean mostlyclean maintainer-clean realclean dist
