## uucp 1.07

=== debian/changelog ===
uucp (1.07-31) unstable; urgency=medium

  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/rules: add -D_FILE_OFFSET_BITS=64 to CFLAGS
    (Closes: #747018)
    (thanks a lot to Christian Garbs for reporting an issue and
     providing a fix)
  * debian/uucp.cron.daily: replace su by runuser (Closes: #1087164)
    (thanks a lot to Marco d'Itri for the hint)
  * debian/etc.uucp/sys: remove "short-packets" line (Closes: #942818)
    (thanks a lot to John Goerzen for finding this)
  * add gcc15.patch (Closes: #1098051)
  * add limit-fd-handling.patch (Closes: #942859)
    (thanks a lot to John Goerzen for the suggestion)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 15 Sep 2025 09:00:00 +0200

uucp (1.07-30) unstable; urgency=medium

  * fix issues with gcc14 (Closes: #1075610)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Jul 2024 13:00:00 +0200

uucp (1.07-29) unstable; urgency=medium

  * take care of implicit function declaration (Closes: #1066434)
    (this even affects the configure script)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 12 Apr 2024 22:00:00 +0200

uucp (1.07-28) unstable; urgency=medium

  * Fix FTBFS when dh_installsystemd moves units to /usr
    Thanks to Helmut Grohne for the patch
    (Closes: #1052716)
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/patches: no need to forward them to upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 03 Oct 2023 18:00:00 +0200

uucp (1.07-27) unstable; urgency=medium

  * add improved-pipe.patch to be able to replace the placeholder \Z
    by the system name of the called system
    thanks to Rafael Diniz for the patch

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Aug 2019 22:00:00 +0200

uucp (1.07-26) unstable; urgency=medium

  * debian/control: add Salsa VCS URLs
  * debian/control: no longer Depend: on inetd but only Recommends:
                    (Closes: #589535)
  * debian/control: no longer Depend: on cu but only Recommends:
  * debian/uucp.postinst: only call update-inetd when available
                    (Closes: #919277)
  * debian/uucp.postinst: remove code for old version no longer
                          available in any release
  * debian/uucp.postrm: avoid paths
  * add service file for uucp, don't automatically use it
    (thanks to Jörg Sommer for the service file)
  * add patch to wait for correct parent (Closes: #922438)
    (thanks to Jörg Sommer for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 02 Mar 2019 16:00:00 +0100

uucp (1.07-25) sid; urgency=medium

  * debian/control: use dh11
  * debian/control: bump standard to 4.3.0 (no changes)
  * debian/control: no longer depend on exim
  * debian/control: add ORed dependency on cron-daemon (Closes: #877059)
                    Thanks to Jörg Sommer for the hint.
  * debian/rules: add hardening flags
  * Fix FTCBFS: (Closes: #879580)
    + Thanks to Helmut Grohne for the patch!
    + Let dh_auto_build pass cross compilers to make in contrib.
    + Use a triplet-prefixed CC in d/rules.
  * debian/patches: improve spelling.patch
  * debian/patches: improve manpage.patch (Closes: #902671)
                    Thanks to Patrik Schindler for the hint.


 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 10 Jan 2019 19:00:00 +0100

uucp (1.07-24) unstable; urgency=medium

  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: use dh10
  * debian/control: set priority to optional
  * add option-to-not-force-hw-control.patch (Closes: #336996)
    introduce option to disable hw control on serial line
    thanks to Michal Suchanek for the patch
  * avoid unnecessary sleeps (Closes: #760556, #675101)
    thanke to Frank Heckenbach for the patch
  * no longer depends on install-info (Closes: #724779)
    (see 1.07-22 and #598904 for more info)
  * keeping /etc/cron.d/uucp (Closes: #473203)
  * Recommends: instead of Depends: on logrotate (Closes: #422969)
  * fix spelling error in debian/contrib/in.uucpd.8

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 27 Sep 2017 19:00:00 +0200

uucp (1.07-23) unstable; urgency=medium

  * upload to unstable now
  * confirm NMU
  * patch from NMU also closes: #759285
    with patch from Marco d'Itri

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 08 Oct 2015 19:00:00 +0200

uucp (1.07-20.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Pass "-s /bin/sh" to "su uucp" to cope with the change of uucp's shell
    in base-passwd 3.5.30 (closes: #734723).

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Jan 2014 12:44:41 +0000

uucp (1.07-22) experimental; urgency=low

  * debian/README.Debian: correct path to info files (Closes: #453957)
  * debian/README.exim4: update pointer to exim4 config
  * debian/control: fix typo (Closes: #602629)
  * debian/control: add 'serial' to description of cu (Closes: #358861)
  * debian/rules: call to deprecated install-info comes from debhelper
                  (thanks Guillem Jover for checking)
                  (Closes: #598904)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Jul 2013 12:00:00 +0200

uucp (1.07-21) experimental; urgency=low

  * New maintainer (Closes: #699118)
  * upload to experimental
  * debian/control: switch to dh 9
  * debian/control: switch to standard 3.9.4
  * debian/control: add homepage field
  * debian/control: no need to Conflict: or Replace: with uucp v1.06 anymore
  * debian/control: no need to Conflict: with tua 4.3-3 anymore
  * debian/control: add ${misc:Depends} to binary uucp package
  * debian/control: add bsd-mailx as real package to mailx dependency
  * debian/source/format: use 3.0 (quilt)
  * debian/copyright: change to machine readable format
  * debian/patches: add patch to fix manpage issues and spelling error
  * debian/watch: file added

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Jun 2013 11:00:00 +0200

uucp (1.07-20) unstable; urgency=low

  * New maintainer                  Closes: #517906

