=== debian/watch ===
version=4
opts=pasv \
ftp://ftp.gnu.org/pub/gnu/uucp/uucp-([\d\.]+)\.tar\.gz
